#include "xpathnodetreenodes.h"

XPathNodeTreeNodes::XPathNodeTreeNodes()
    : XAsset()
    , mNodeCount(0)
    , mNodes()
{
}

XPathNodeTreeNodes::~XPathNodeTreeNodes()
{

}

void XPathNodeTreeNodes::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream >> mNodeCount;

        for (int i = 0; i < mNodeCount; i++)
        {
            *aStream >> mNodes[i];
        }
    }
}

void XPathNodeTreeNodes::Clear()
{

}

int XPathNodeTreeNodes::GetNodeCount() const {
    return mNodeCount;
}

void XPathNodeTreeNodes::SetNodeCount(int count) {
    mNodeCount = count;
}

QVector<unsigned short> XPathNodeTreeNodes::GetNodes() const {
    return mNodes;
}

void XPathNodeTreeNodes::SetNodes(QVector<unsigned short> aNodes) {
    mNodes = aNodes;
}
